Bug Hunting Session
Bug 49527 - unzip autocorrect files, store contents in git instead and pack them at build time
Summary: unzip autocorrect files, store contents in git instead and pack them at build...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Babati Bence
URL:
Whiteboard: target:3.7.0
Keywords: easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2012-05-05 02:48 UTC by Caolán McNamara
Modified: 2015-12-16 00:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2012-05-05 02:48:22 UTC
The autocorrect .dat files in extras/source/autotext/lang/* are zip files of xml streams.

We store them as .zip files in git, which makes it very hard to see what changed from one revision to the next and makes it non-trivial to edit and fix them

Better would be to unpack them, store the contents in git and build the .dat files at build time instead. Which is what we do with the dictionaries and most content that we pack into .zip files.
Comment 1 Caolán McNamara 2012-05-05 02:51:33 UTC
This would make it easier to fix autocorrect files, e.g. http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4bfd2ff060b89b2b7119bcb6a5c6bfb02815601
Comment 2 Rainer Bielefeld Retired 2012-05-05 12:13:16 UTC
<http://www.mail-archive.com/projects@global.libreoffice.org/msg00597.html>
Heasyhack only in whiteboard
Comment 3 Not Assigned 2012-08-13 15:07:31 UTC
Bence Babati committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a8763dad3e2dac5c5ad49b77dda7187ceaa2a40

fdo#49527 unzip autocorrect files, store contents in git
Comment 4 Robinson Tryon (qubit) 2015-12-16 00:01:04 UTC
Migrating Whiteboard tags to Keywords: (EasyHack SkillScript  )
[NinjaEdit]